extends ../base.jade

block title
  title= __('blog')+' | '+ __('title_right_part')

block vars
  - var page = 'post', locale = req.getLocale()

block main
  .Post.PW
    if !posts[0]
      p(style="margin: 20px 0")= __('stub_post')

    else
      for item in posts
        .item.isle
          div
            img.authorAvatar(src='/images/icons/default_avatar.png')
            a.authorName(href= '/user/'+item.author_id.id)= item.author_id.display_name
            span.date #{ Transform.date_to_string( item.createdAt, locale ) } #{ Transform.time_to_string( item.createdAt ) }
          a.title(href="/post/#{item.id}")= item['title_'+locale]
          .html!= '<p>'+Tools.strip_tags(item['html_'+locale]).slice(0,300)+'...</p>'
          .IB(style="width: 100%")
            a.button.press(href="/post/#{item.id}")= __('read_this')
            .countComments
              span.counterComments= item.count_comments
            .countSubscribers(data-post-id= item.id ,class= !session.user? null : item.is_subscribed? "subscribed a-subscribeToPost" : "a-subscribeToPost", title= !session.user? __('added_in_favs') : item.is_subscribed?  __('remove_from_favs') :  __('add_to_favs') )
              span.counterSubscribers= item.count_subscribers
            if item.tags[0]
              .Tag
                img.icon-tag(src="/images/icons/tag.png")
                for tag in item.tags
                  a.item-tag(href= '/tag/'+tag.id)= tag['name_'+locale]
  
  #paginate_main!= Html.paginate(paginate, page)